import { IUser } from '@identity-stack/core';
export interface INewUser {
    username: string;
    [key: string]: any;
}
export interface IUserCreationRequest {
    username: string;
    [key: string]: any;
}
export interface IUserRegistrationRequest {
    username: string;
    password: string;
    [key: string]: any;
}
export interface IUserCreationResponse {
    user: IUser;
    verificationToken: string;
}
export interface IUserRegistrationResponse {
    user: IUser;
}
export interface IVersionedHash {
    hash: string;
    version: number;
}
export interface IVerifyUserRequest {
    username: string;
    password: string;
    verificationToken: string;
}
export interface IVerifyEmailRequest {
    username: string;
    email: string;
    verificationToken: string;
}
export interface IResetPasswordRequest {
    username: string;
    password: string;
    passwordResetToken: string;
}
export interface IChangePasswordRequest {
    username: string;
    oldPassword: string;
    newPassword: string;
}
export interface ILoginRequest {
    username: string;
    password: string;
}
export interface IForgotPasswordRequest {
    username: string;
}
export interface IForgotPasswordResponse {
    username: string;
    passwordResetToken: string;
}
export interface ISessionCreateRequest {
    userId: string;
    ip?: string;
    userAgent?: string;
    extraData?: object;
}
export interface ISesionUpdateRequest {
    sessionId: string;
    ip?: string;
    userAgent?: string;
}
export interface IClient {
    id?: string;
    name: string;
    secret: IVersionedHash | string;
    userId: string;
    clientId: string;
    redirectURI: string[];
    trustedClient: boolean;
}
export interface IToken {
    id?: string;
    userId: string;
    clientId: string;
    tokenId: string;
    expirationDate: Date;
    type: TokenType;
    scope?: [string];
    redirectURI?: string;
}
export declare enum TokenType {
    Refresh = "Refresh",
    Access = "Access",
    Code = "Code",
}
