/// <reference types="bunyan" />
import * as Bearer from 'passport-http-bearer';
import { AbstractProvider } from './abstract-provider';
import { PROVIDERS_NAME } from '../constants';
import { IAuthorizationServerConfiguration, IValidateTokenService } from '../interfaces';
import { VersioningHasher } from '../security';
import * as Logger from 'bunyan';
export declare class BearerProvider extends AbstractProvider {
    private tokenService;
    private hasher;
    private settings;
    private logger;
    readonly name: PROVIDERS_NAME;
    constructor(tokenService: IValidateTokenService, hasher: VersioningHasher, settings: IAuthorizationServerConfiguration, logger: Logger);
    readonly strategy: Bearer.Strategy;
}
