/// <reference types="bunyan" />
import { VersioningHasher } from '../security';
import * as Logger from 'bunyan';
import { IClientRepository, IClient, IClientService } from '../interfaces';
export declare class ClientService implements IClientService {
    private clientRepo;
    private hasher;
    private logger;
    constructor(clientRepo: IClientRepository, hasher: VersioningHasher, logger: Logger);
    verifyClient(clientId: string, clientSecret: string): Promise<IClient>;
    saveClient(clientId: string, clientSecret: string, redirectURI: string[]): Promise<IClient>;
    findClient(clientId: string, redirectURI: string): Promise<IClient>;
    unsecuredFindClient(clientId: string): Promise<IClient>;
}
