/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IForgotPasswordService, IUserRepository, ITokenRepository, IDataContext, IPasswordResetTokenGenerator, IForgotPasswordRequest, IForgotPasswordResponse } from '../interfaces';
import { VersioningHasher } from '../security';
export declare class ForgotPasswordService implements IForgotPasswordService {
    private userRepository;
    private tokenRepository;
    private passwordResetTokenGenerator;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, passwordResetTokenGenerator: IPasswordResetTokenGenerator, hasher: VersioningHasher, logger: Logger);
    forgotPassword({username}: IForgotPasswordRequest, dataContext?: IDataContext): Promise<IForgotPasswordResponse>;
}
