/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { ILoginRequest, ILoginService, IUserRepository, IDataContext } from '../interfaces';
import { VersioningHasher } from '../security';
import { IUser } from '@identity-stack/core';
export declare class LoginService implements ILoginService {
    private userRepository;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, hasher: VersioningHasher, logger: Logger);
    login({username, password}: ILoginRequest, dataContext?: IDataContext): Promise<IUser | null>;
}
