/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IUserRepository, ITokenRepository, IDataContext, IVerificationTokenGenerator, IUserCreationService, IUserCreationRequest, IUserCreationResponse } from '../interfaces';
import { VersioningHasher } from '../security';
export declare class UserCreationService implements IUserCreationService {
    private userRepository;
    private tokenRepository;
    private verificationTokenGenerator;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, verificationTokenGenerator: IVerificationTokenGenerator, hasher: VersioningHasher, logger: Logger);
    createUser(creationRequest: IUserCreationRequest, dataContext?: IDataContext): Promise<IUserCreationResponse>;
}
