/// <reference types="bunyan" />
import * as Logger from 'bunyan';
import { IUserVerificationService, IVerifyUserRequest, IVerifyEmailRequest, IUserRepository, ITokenRepository, IDataContext } from '../interfaces';
import { VersioningHasher } from '../security';
export declare class UserVerificationService implements IUserVerificationService {
    private userRepository;
    private tokenRepository;
    private hasher;
    private logger;
    constructor(userRepository: IUserRepository, tokenRepository: ITokenRepository, hasher: VersioningHasher, logger: Logger);
    verifyUser({username, password, verificationToken}: IVerifyUserRequest, dataContext?: IDataContext): Promise<void>;
    verifyEmail({username, email, verificationToken}: IVerifyEmailRequest, dataContext?: IDataContext): Promise<void>;
}
